include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)

aux_source_directory(${CMAKE_CURRENT_SOURCE_DIR}/src SRC)

add_library(libcross-checker STATIC ${SRC})

add_executable(cross-checker main.cpp)

target_link_libraries(cross-checker libcross-checker)

add_subdirectory(tests)
